Subject: bug#10554: 24.0.92; No units specified (dimensionless quantities in Emacs Calc)

From: Jay Belanger <[email-masked]>
Date: Sat, 21 Jan 2012 09:28:38 -0600

> Currently the latter unit conversion does require the superfluous
> step that one tells Calc in one or the other way that "7" means "7 one".
> I suggest that this superfluous step should not be required.

Interesting point.
(In your case, by the way, when the "target units must match the current
units" option is chosen, the old units will never be prompted for, and
"7" will automatically mean "7 one".)